Method: networks.vehicles.patch
コレクションでコンテンツを整理
必要に応じて、コンテンツの保存と分類を行います。
HTTP リクエスト
PATCH https://middlemileoptimization.googleapis.com/v1/{vehicle.name=networks/*/vehicles/*}
この URL は gRPC Transcoding 構文を使用します。
パスパラメータ
| パラメータ |
vehicle.name |
string
必須。ID。この設定は変更できません。
|
クエリ パラメータ
| パラメータ |
updateMask |
string (FieldMask format)
省略可。更新するフィールドのリスト。 完全修飾フィールド名のカンマ区切りリスト。例: "user.displayName,photo"。
|
リクエストの本文
リクエストの本文には Vehicle のインスタンスが含まれます。
レスポンスの本文
成功した場合、レスポンスの本文には Vehicle のインスタンスが含まれます。
特に記載のない限り、このページのコンテンツはクリエイティブ・コモンズの表示 4.0 ライセンスにより使用許諾されます。コードサンプルは Apache 2.0 ライセンスにより使用許諾されます。詳しくは、Google Developers サイトのポリシーをご覧ください。Java は Oracle および関連会社の登録商標です。
最終更新日 2024-08-09 UTC。
[[["わかりやすい","easyToUnderstand","thumb-up"],["問題の解決に役立った","solvedMyProblem","thumb-up"],["その他","otherUp","thumb-up"]],[["必要な情報がない","missingTheInformationINeed","thumb-down"],["複雑すぎる / 手順が多すぎる","tooComplicatedTooManySteps","thumb-down"],["最新ではない","outOfDate","thumb-down"],["翻訳に関する問題","translationIssue","thumb-down"],["サンプル / コードに問題がある","samplesCodeIssue","thumb-down"],["その他","otherDown","thumb-down"]],["最終更新日 2024-08-09 UTC。"],[],["This describes how to update a vehicle using a `PATCH` request to a specific URL. The URL includes a `vehicle.name` path parameter that identifies the vehicle and cannot be updated. An optional `updateMask` query parameter specifies which fields to modify, using a comma-separated list. The request body contains the updated `Vehicle` data. Upon success, the response body returns the updated `Vehicle` information.\n"]]